List Campaigns
curl --request GET \
--url https://api.vaanivoice.ai/api/campaigns/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vaanivoice.ai/api/campaigns/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vaanivoice.ai/api/campaigns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vaanivoice.ai/api/campaigns/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vaanivoice.ai/api/campaigns/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vaanivoice.ai/api/campaigns/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vaanivoice.ai/api/campaigns/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyCampaigns
List Campaigns
Get a paginated list of campaigns for your organization
GET
/
api
/
campaigns
/
List Campaigns
curl --request GET \
--url https://api.vaanivoice.ai/api/campaigns/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vaanivoice.ai/api/campaigns/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vaanivoice.ai/api/campaigns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vaanivoice.ai/api/campaigns/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vaanivoice.ai/api/campaigns/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vaanivoice.ai/api/campaigns/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vaanivoice.ai/api/campaigns/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyList Campaigns
Return a paginated list of campaigns for the authenticated organization.Query Parameters
integer
default:"1"
Page number (1-indexed)
integer
default:"20"
Items per page (max 100)
string
Filter by status:
active, paused, completed, cancelled, scheduledExample Request
curl "https://api.vaani.ai/api/campaigns/?page=1&page_size=20&status=active" \
-H "X-API-Key: vaani_abc123..."
Response 200 OK
[
{
"id": "7817f2fd-3380-450e-80ac-8e5249633312",
"campaign_created_at": "2026-08-25T10:40:26.128721",
"agent_display_name": "rag check - 21-08",
"agent_id": "26356732-d0f3-449a-9fe7-6339ae157687",
"client_id": "e3e5b338-937e-4672-a700-1a1f5817a385",
"campaign_name": "update name",
"agent_name": "nitishmishraragcheck-21-08",
"client_name": "Nitish Mishra",
"campaign_started_at": "2026-08-25T04:30:00",
"campaign_ended_at": "2026-08-26T12:30:00",
"total_calls_dialed": 1,
"total_calls_completed": 0,
"total_calls_in_campaign": 2,
"stats": {
"total_calls": 2,
"completed": 0,
"pending": 1,
"in_progress": 1,
"failed": 0
},
"campaign_status": "active",
"contact_source_type": "csv"
},
{
"id": "1814385d-6a49-470c-817f-5f3ec95cc0be",
"campaign_created_at": "2026-08-25T10:38:04.416156",
"agent_display_name": "rag check - 21-08",
"agent_id": "26356732-d0f3-449a-9fe7-6339ae157687",
"client_id": "e3e5b338-937e-4672-a700-1a1f5817a385",
"campaign_name": "Webhook Test Campaign new",
"agent_name": "nitishmishraragcheck-21-08",
"client_name": "Nitish Mishra",
"campaign_started_at": "2026-08-25T04:30:00",
"campaign_ended_at": "2026-08-26T12:30:00",
"total_calls_dialed": 1,
"total_calls_completed": 0,
"total_calls_in_campaign": 2,
"stats": {
"total_calls": 2,
"completed": 0,
"pending": 1,
"in_progress": 1,
"failed": 0
},
"campaign_status": "active",
"contact_source_type": "csv"
},
{
"id": "e8632ffe-ce38-4ae9-8185-72ef708aaa51",
"campaign_created_at": "2026-08-25T10:26:31.403625",
"agent_display_name": "rag check - 21-08",
"agent_id": "26356732-d0f3-449a-9fe7-6339ae157687",
"client_id": "e3e5b338-937e-4672-a700-1a1f5817a385",
"campaign_name": "campaing api ",
"agent_name": "nitishmishraragcheck-21-08",
"client_name": "Nitish Mishra",
"campaign_started_at": "2026-08-25T08:30:00",
"campaign_ended_at": "2026-08-25T10:33:52.232273",
"total_calls_dialed": 0,
"total_calls_completed": 0,
"total_calls_in_campaign": 2,
"stats": {
"total_calls": 2,
"completed": 0,
"pending": 2,
"in_progress": 0,
"failed": 0
},
"campaign_status": "cancelled",
"contact_source_type": "csv"
},
{
"id": "bc762422-003b-4214-9068-32bcad61e0bc",
"campaign_created_at": "2026-08-21T12:54:15.980517",
"agent_display_name": "rag check - 21-08",
"agent_id": "26356732-d0f3-449a-9fe7-6339ae157687",
"client_id": "e3e5b338-937e-4672-a700-1a1f5817a385",
"campaign_name": "new camp",
"agent_name": "nitishmishraragcheck-21-08",
"client_name": "Nitish Mishra",
"campaign_started_at": "2026-08-21T02:30:00",
"campaign_ended_at": "2026-08-21T12:54:48.478988",
"total_calls_dialed": 2,
"total_calls_completed": 2,
"total_calls_in_campaign": 2,
"stats": {
"total_calls": 2,
"completed": 2,
"pending": 0,
"in_progress": 0,
"failed": 0
},
"campaign_status": "completed",
"contact_source_type": "csv"
}
]
Campaign Status Values
| Status | Description |
|---|---|
scheduled | Campaign created, not yet started |
active | Campaign is running, dialling contacts |
paused | Campaign temporarily paused |
paused_out_of_range | Campaign paused (outside calling window) |
completed | Campaign finished all contacts |
cancelled | Campaign permanently cancelled |

